Subject: Re: bug#11806: (setq load-path ..) of elisp-comp

From: Makoto Fujiwara <[email-masked]>
Date: Sat, 30 Jun 2012 10:19:32 +0900

| To: Stefano Lattarini <[email-masked]>
| From: Jack Kelly <[email-masked]>
| Subject: Re: bug#11806: (setq load-path ..) of elisp-comp
| Date: Fri, 29 Jun 2012 08:32:18 +1000
| Message-ID: <[email-masked]>

> I'm no elisp master, but here's what I see is happening:

> * Developer defines something like lisp_LISP = foo.el bar.el baz.el
> * baz.el (say) depends on quux.el, in the same directory but not
> listed in the primary.

> * At `make' time, everything in lisp_LISP is copied to a subdirectory
> and batch-byte-compile is called on all those files.

> * Because quux.el wasn't copied over, the compile fails.

Thanks for reviewing Makefile.am setup. 
  The reason 'quux.el' (in above example) is not listed, is
that it should not be byte-compiled by some reason. It is
intentionally excluded from the to-be-compiled list. I didn't
get that point. Thanks a lot.  I will either adjust Makefile.am
or pursue not using automake, or insist to depend automake.

With your advice for VPATH issue, I am now using attached patch,
thanks a lot,
---
Makoto Fujiwara, 
Chiba, Japan, Narita Airport and Disneyland prefecture.

--- lib/elisp-comp.orig	2012-01-31 20:41:18.000000000 +0900
+++ lib/elisp-comp	2012-04-13 22:14:39.000000000 +0900
@@ -62,6 +62,7 @@
 fi
 
 tempdir=elc.$$
+currdir=`pwd`
 
 # Cleanup the temporary directory on exit.
 trap 'ret=$?; rm -rf "$tempdir" && exit $ret' 0
@@ -72,7 +73,7 @@
 
 (
   cd $tempdir
-  echo "(setq load-path (cons nil load-path))" > script
+  echo "(setq load-path (cons \"$currdir\" (cons nil load-path)))" > script
   $EMACS -batch -q -l script -f batch-byte-compile *.el || exit $?
   mv *.elc ..
 ) || exit $?